#50 startup problem with trunk (locale pb)

v6.0
closed
None
1
2014-06-16
2013-09-08
Collette
No

I compiled the latest trunk of impro-visor.
When I start impro-visor, an error is printed and impro-visor doesn't start.
Here is the error message:

java -jar improvisor.jar
Creating new folder for impro-visor files: impro-visor-version-6.0-files
Exception in thread "main" java.util.MissingResourceException: Can't find bundle for base name imp.lang.Lang, locale en
at java.util.ResourceBundle.throwMissingResourceException(ResourceBundle.java:1499)
at java.util.ResourceBundle.getBundleImpl(ResourceBundle.java:1322)
at java.util.ResourceBundle.getBundle(ResourceBundle.java:795)
at imp.lang.Lang.getInstance(Lang.java:14)
at imp.gui.Notate.initComponents(Notate.java:2333)
at imp.gui.Notate.<init>(Notate.java:1056)
at imp.ImproVisor.<init>(ImproVisor.java:341)
at imp.ImproVisor.main(ImproVisor.java:491)
Caused by: java.lang.ClassCastException: imp.lang.Lang cannot be cast to ResourceBundle
at java.util.ResourceBundle$Control.newBundle(ResourceBundle.java:2574)
at java.util.ResourceBundle.loadBundle(ResourceBundle.java:1436)
at java.util.ResourceBundle.findBundle(ResourceBundle.java:1400)
at java.util.ResourceBundle.findBundle(ResourceBundle.java:1354)
at java.util.ResourceBundle.getBundleImpl(ResourceBundle.java:1296)
... 6 more

I am under fedora 19 64 bits.
Java is:

java version "1.7.0_25"
OpenJDK Runtime Environment (fedora-2.3.12.4.fc19-x86_64)
OpenJDK 64-Bit Server VM (build 23.7-b01, mixed mode)

Related

Bugs: #50

Discussion

  • Robert Keller

    Robert Keller - 2013-09-09

    Sorry about that. Will look into getting it fixed. The trunk may be reverted back a bit as we introduce a different way to do the French translation.

    Bob

    On Sep 8, 2013, at 9:13 AM, Collette wrote:

    [bugs:#50] startup problem with trunk (locale pb)

    Status: open
    Created: Sun Sep 08, 2013 04:13 PM UTC by Collette
    Last Updated: Sun Sep 08, 2013 04:13 PM UTC
    Owner: nobody

    I compiled the latest trunk of impro-visor.
    When I start impro-visor, an error is printed and impro-visor doesn't start.
    Here is the error message:

    java -jar improvisor.jar
    Creating new folder for impro-visor files: impro-visor-version-6.0-files
    Exception in thread "main" java.util.MissingResourceException: Can't find bundle for base name imp.lang.Lang, locale en
    at java.util.ResourceBundle.throwMissingResourceException(ResourceBundle.java:1499)
    at java.util.ResourceBundle.getBundleImpl(ResourceBundle.java:1322)
    at java.util.ResourceBundle.getBundle(ResourceBundle.java:795)
    at imp.lang.Lang.getInstance(Lang.java:14)
    at imp.gui.Notate.initComponents(Notate.java:2333)
    at imp.gui.Notate.(Notate.java:1056)
    at imp.ImproVisor.(ImproVisor.java:341)
    at imp.ImproVisor.main(ImproVisor.java:491)
    Caused by: java.lang.ClassCastException: imp.lang.Lang cannot be cast to ResourceBundle
    at java.util.ResourceBundle$Control.newBundle(ResourceBundle.java:2574)
    at java.util.ResourceBundle.loadBundle(ResourceBundle.java:1436)
    at java.util.ResourceBundle.findBundle(ResourceBundle.java:1400)
    at java.util.ResourceBundle.findBundle(ResourceBundle.java:1354)
    at java.util.ResourceBundle.getBundleImpl(ResourceBundle.java:1296)
    ... 6 more

    I am under fedora 19 64 bits.
    Java is:

    java version "1.7.0_25"
    OpenJDK Runtime Environment (fedora-2.3.12.4.fc19-x86_64)
    OpenJDK 64-Bit Server VM (build 23.7-b01, mixed mode)

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/impro-visor/bugs/50/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

    Robert Keller
    Professor of Computer Science
    Harvey Mudd College
    keller@cs.hmc.edu

     

    Related

    Bugs: #50

  • Robert Keller

    Robert Keller - 2014-06-16
    • Group: v1.0_(example) --> Not Assigned
     
  • Robert Keller

    Robert Keller - 2014-06-16
    • status: open --> closed
    • assigned_to: Robert Keller
    • Group: Not Assigned --> v6.0
     
  • Robert Keller

    Robert Keller - 2014-06-16

    Problem no longer exists.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks